define(['./module', 'jquery'], function (directives, jQuery) {
    'use strict';
    directives.directive('menu', ["$timeout", function ($timeout) {
        
        var linker = function (scope, element, attrs) {            

            $timeout(function(){

                var menu = $('.menu-container');
                var content = $('.main-container');
                //var content = $(document).find(".main-container");

                $('.menu-icon').on('click', function(){

                    var status = $(this).hasClass('menu');

                    if(status){
                      $(this).removeClass('menu');
                      $(this).addClass('close');
                      menu.show().css('display', 'block');
                      content.hide().css('display', 'none');

                    }else{
                      $(this).addClass('menu');
                      $(this).removeClass('close');
                      menu.hide().css('display', 'none');
                      content.show().css('display', 'block');
                    }

                });
              
            }); 


        };//End of linker

        return {
        	restrict: 'A',
          link: linker
        };
    }]);	

});