define(['./module', 'jquery', 'newsticker'], function (directives, jQuery, newsTicker) {
    'use strict';
    directives.directive('newsticker', ["$timeout", function ($timeout) {
        
        var linker = function (scope, element, attrs) {           
            
            $timeout(function () { 

                var opt = {
                    row_height: 80,
                    max_rows: 1,
                    speed: 1000,
                    direction: 'up',
                    duration: 6000,
                    autostart: 1,
                    pauseOnHover: 0
                }; 

                jQuery('.newsticker').newsTicker(opt); 

            });        


        };//End of linker

        return {
        	restrict: 'A',            
            link: linker
        };
    }]);	

});
