-- phpMyAdmin SQL Dump
-- version 4.3.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Apr 29, 2016 at 02:05 PM
-- Server version: 5.6.24
-- PHP Version: 5.6.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: sdgs
--
SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS staff, scores;
-- --------------------------------------------------------

--
-- Table structure for table staff
--

CREATE TABLE IF NOT EXISTS staff (
  id int(255) NOT NULL,
  staff_name varchar(255) NOT NULL,  
  staff_phone varchar(255) NOT NULL,
  staff_email varchar(255) NOT NULL,    
  created_on timestamp,
  modified_on timestamp
) ENGINE=InnoDB AUTO_INCREMENT=202 DEFAULT CHARSET=latin1;



CREATE TABLE IF NOT EXISTS scores (
  id int(255) NOT NULL,  
  staff_name varchar(255) NOT NULL,  
  staff_phone varchar(255) NOT NULL,
  staff_email varchar(255) NOT NULL,
  points varchar(255) NOT NULL,
  last_played timestamp,  
  created_on timestamp,
  modified_on timestamp
) ENGINE=InnoDB AUTO_INCREMENT=202 DEFAULT CHARSET=latin1;



--
-- Triggers staff
--
DELIMITER $$
CREATE TRIGGER staff_insert BEFORE INSERT ON staff
 FOR EACH ROW BEGIN
          -- Set the creation date
      SET new.created_on = now();

          -- Set the udpate date
      Set new.modified_on = now();
  END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER staff_update BEFORE UPDATE ON staff
 FOR EACH ROW BEGIN
          -- Set the udpate date
      Set new.modified_on = now();
  END
$$
DELIMITER ;


--
-- Triggers scores
--
DELIMITER $$
CREATE TRIGGER scores_insert BEFORE INSERT ON scores
 FOR EACH ROW BEGIN
          -- Set the creation date
      SET new.created_on = now();

          -- Set the udpate date
      Set new.modified_on = now();
  END
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER scores_update BEFORE UPDATE ON scores
 FOR EACH ROW BEGIN
          -- Set the udpate date
      Set new.modified_on = now();
  END
$$
DELIMITER ;

--
-- Indexes for dumped tables
--

--
-- Indexes for table scores
--
ALTER TABLE scores
  ADD PRIMARY KEY (id);


--
-- Indexes for table staff
--
ALTER TABLE staff
  ADD PRIMARY KEY (id);

--
-- AUTO_INCREMENT for table scores
--
ALTER TABLE scores
  MODIFY id int(255) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=202;

--
-- AUTO_INCREMENT for table staff
--
ALTER TABLE staff
  MODIFY id int(255) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=202;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;


SET FOREIGN_KEY_CHECKS=1;