define(['./module'], function (services) {
   
      services.factory('properties', ["settings", function(settings){    	
          	
            var authenticated = false;
            var staff_scores = [];
            var active_user = null;
            var current_url = '';
            var content_url = settings.host+'/content/';

            return {

                getCurrentURL: function() {
                    return current_url;
                },

                setCurrentURL: function(value) {
                    current_url = value;
                },

                isAuthenticated: function () {
                    return authenticated;
                },

                setAuthenticate: function(value) {
                    authenticated = value;
                },

                getStaffScores: function () {
                    return staff_scores;
                },

                setStaffScores: function(value) {
                    staff_scores = value;
                },

                getActiveUser: function () {
                    return active_user;
                },

                setActiveUser: function(value) {
                    active_user = value;
                },

                goals: [
                    {heading:'Good Health & Well-Being', content: content_url+'health.html'},
                    {heading:'Quality Education', content: content_url+'education.html'},
                    {heading:'Gender Equality', content: content_url+'equality.html'},
                    {heading:'Affordable and Clean Energy', content: content_url+'energy.html'},
                    {heading:'Decent Work and Economic Growth', content: content_url+'economic.html'},
                    {heading:'Industry, Innovation and Infrastructure', content: content_url+'industry.html'},
                    {heading:'Reduced Inequalities', content: content_url+'equality.html'},
                    {heading:'Responsible Consumption and Production', content: content_url+'consumption.html'},
                    {heading:'Peace, Justice and Strong Institutions', content: content_url+'peace.html'},
                    {heading:'Partnerships for the goals', content: content_url+'partnerships.html'}
                ]


            };

      }]);

});
